Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(Revision 225006)
+++ channels/chan_sip.c	(Arbeitskopie)
@@ -6257,22 +6257,8 @@
  			ast_log(LOG_WARNING, "Unable to create RTP audio %s%ssession: %s\n",
  				ast_test_flag(&p->flags[1], SIP_PAGE2_VIDEOSUPPORT) ? "and video " : "",
  				ast_test_flag(&p->flags[1], SIP_PAGE2_TEXTSUPPORT) ? "and text " : "", strerror(errno));
-			if (p->rtp) {
-				ast_rtp_destroy(p->rtp);
-			}
-			if (p->vrtp) {
-				ast_rtp_destroy(p->vrtp);
-			}
-			if (p->udptl) {
-				ast_udptl_destroy(p->udptl);
-			}
-			ast_mutex_destroy(&p->pvt_lock);
-			if (p->chanvars) {
-				ast_variables_destroy(p->chanvars);
-				p->chanvars = NULL;
-			}
-			ast_string_field_free_memory(p);
-			ast_free(p);
+
+			dialog_unref(p);
 			return NULL;
 		}
 		ast_rtp_setqos(p->rtp, global_tos_audio, global_cos_audio, "SIP RTP");
